/**
 *   Default variables
 *
 *   While these can be set with JavaScript, it's probably
 *   better and faster to just set them here, compile to
 *   CSS and include that instead to use some of that
 *   hardware-accelerated goodness.
 */

//  Unslider 2 has navigation styles pre-designed. You can turn it off here.
$unslider-dot-navigation: false;
$unslider-dot-colour: #fff;

//  Unslider 2 has navigation styles pre-designed. You can turn it off here.
$unslider-transition-function: cubic-bezier(.42,0,.58,1);

// Set a namespace for Unslider
$unslider-namespace: 'unslider';


// Reset and start again!
.#{$unslider-namespace},
%#{$unslider-namespace} {
  //  Should either be relative or absolute
  //  as long as it's not static, but we'll
  //  set it using jQuery
  // position: relative;
  overflow: auto;
  padding: 0;
  position: relative;
  margin: 0 auto 1rem;
  @include wider-than(tablet){
    margin-bottom: 1.875rem;
  }

  // This is wrapped when we want it to be...
  .completely-wrapped & {
    @extend .w;
  }

  &-wrap {
    position: relative;

    &.unslider-carousel > li {
      float: left;
    }
  }

  //  Vertical sliders don't float left
  &-vertical {
    > ul {
      height: 100%;
    }

    li {
      float: none;
      width: 100%;
    }
  }

  //  Fading needs everything to appear on top of
  //  each other
  &-fade {
    position: relative;

    .unslider-wrap li {
      position: absolute;
      left: 0;
      top: 0;
      right: 0;
      z-index: 8;

      &.unslider-active {
        z-index: 10;
      }
    }
  }

  ul, ol, li {
    list-style: none;

    /* Reset any weird spacing */
    margin: 0;
    padding: 0;

    border: none;
  }

  &-arrow {
    position: absolute;
    left: 0;
    z-index: 2;
    top: 50%;
    transform: translateY( -50% );
    cursor: pointer;

    font-weight: bold;
    padding: 0.5rem 1rem;
    color: white;

    &.next {
      left: auto;
      right: 0;
    }
  }
}

// Dots

@if($unslider-dot-navigation){
  .#{$unslider-namespace}-nav, %#{$unslider-namespace}-nav {
    ol {
      list-style: none;
      text-align: center;

      li {
        display: inline-block;
        width: 6px;
        height: 6px;
        margin: 0 4px;

        background: transparent;
        border-radius: 5px;

        overflow: hidden;
        text-indent: -999em;

        border: 2px solid $unslider-dot-colour;

        cursor: pointer;

        &.unslider-active {
          background: $unslider-dot-colour;
          cursor: default;
        }
      }
    }
  }
}